package io.zipcoder.interfaces;

enum Educator implements Teacher{

    NHU(0, "Nhu"),
    WILHEM(1, "Wilhem"),
    LEON(2, "Leon"),
    KRIS(3, "Kris"),
    DOLIO(4, "Dolio"),
    FROILAN(5, "Froilan");

    private double timeWorked = 0;
    private long id = 0;
    private String name = "";

    Educator(long id, String name){
        this.name = name;
        this.id = id;
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
        timeWorked += numberOfHours;
    }

    public void lecture(double numberOfHours, Learner... learners) {
        for(Learner learner : learners){
            learner.learn(numberOfHours/learners.length);
        }
        timeWorked += numberOfHours;
    }

    public long getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public double getHoursWorked() {
        return timeWorked;
    }
}
