package io.zipcoder.interfaces;

import java.util.ArrayList;
import java.util.Iterator;

public abstract class People<E extends Person>  {

    public static class TestPeople extends People<Person> {

        public Person[] getArray() {
            return super.getPeopleList().toArray(new Person[super.getPeopleList().size()]);
        }
    }

    private ArrayList<E> peopleList = new ArrayList<E>();

    public People(){}

    public void add(E person){
        peopleList.add(person);
    }

    public int getCount() {
        return peopleList.size();
    }

    public void removeById(long id) {
        Iterator<E> peopleIt = peopleList.iterator();

        while(peopleIt.hasNext()){
            E person = peopleIt.next();
            if(person.getId() == id){
                peopleIt.remove();
            }
        }
    }

    public E findById(long i) {
        for(E person : peopleList){
            if(person.getId() == i){
                return person;
            }
        }
        return null;
    }

    public void removeByPerson(Person person) {
        Iterator<E> peopleIt = peopleList.iterator();

        while(peopleIt.hasNext()){
            Person per = peopleIt.next();
            if(person.equals(person)){
                peopleIt.remove();
            }
        }
    }

    public abstract E[] getArray();

    public void removeAll() {
        peopleList = new ArrayList<E>();
    }

    public ArrayList<E> getPeopleList() {
        return peopleList;
    }
}
