package io.zipcoder.interfaces;

public final class ZipCodeWilmington{

    private static final Instructors INSTRUCTORS = Instructors.getInstance();
    private static final Students STUDENTS = Students.getInstance();
    private static final ZipCodeWilmington INSTANCE = new ZipCodeWilmington();

    private ZipCodeWilmington(){}

    public People getInstructors() {
        return INSTRUCTORS;
    }

    public void hostLecture(Teacher teacher, int i) {
        teacher.lecture(i, getStudents());
    }

    public void hostLecture(long id, int i) {
        Teacher teacher =  INSTRUCTORS.findById(id);
        teacher.lecture(i, getStudents());
    }

    public Student[] getStudents() {
        return STUDENTS.getArray();
    }

    public static ZipCodeWilmington getInstance() {
        return INSTANCE;
    }
}
