package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

public class InstructorsTest {

    @Test
    public void testInstructorsSinglton(){
        Instructors instructors = Instructors.getInstance();
        Instructors instructors1 = Instructors.getInstance();

        Assert.assertSame(instructors, instructors1);
    }

    @Test
    public void testInstructorCount(){
        Instructors instructors = Instructors.getInstance();
        Person[] people = instructors.getArray();

        Assert.assertEquals(6, people.length);
    }

    @Test
    public void testInstructorUniqueId(){
        Instructors instructors = Instructors.getInstance();
        ArrayList<Long> ids = new ArrayList<Long>();
        Instructor[] people = instructors.getArray();

        for(Instructor person : people){
            if(!ids.contains(person.getId())){
                ids.add(person.getId());
            }
        }

        Assert.assertEquals(6, ids.size());
    }
}
