package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class PeopleTest {

    @Test
    public void testAdd(){
        People people = new People.TestPeople();

        people.add(new Person(9, "name"));
        Assert.assertTrue(people.getCount() == 1);
    }

    @Test
    public void testRemoveById(){
        People people = new People.TestPeople();
        people.add(new Person(9, "name"));
        people.removeById(9);

        Assert.assertTrue(people.getCount() == 0);
    }

    @Test
    public void testRemoveByPerson(){
        People people = new People.TestPeople();
        Person person = new Person(9, "name");
        people.add(person);
        people.removeByPerson(person);

        Assert.assertTrue(people.getCount() == 0);
    }

    @Test
    public void testFindById(){
        Person expect = new Person(0, "Nhu");
        People people = new People.TestPeople();
        people.add(expect);

        Person actual = people.findById(0);

        Assert.assertEquals(expect, actual);
    }

    @Test
    public void testGetArray(){
        Person person = new Person(0, "Nhu");
        Person person1 = new Person(1, "Dolio");
        Person person2 = new Person(2, "Wilhem");

        Person[] expect = {person, person1, person2};

        People people = new People.TestPeople();
        people.add(person);
        people.add(person1);
        people.add(person2);

        Person[] actual = people.getArray();

        Assert.assertEquals(expect, actual);
    }

    @Test
    public void removeAll(){
        Person person = new Person(0, "Nhu");
        Person person1 = new Person(1, "Dolio");
        Person person2 = new Person(2, "Wilhem");

        People people = new People.TestPeople();
        people.add(person);
        people.add(person1);
        people.add(person2);

        Assert.assertTrue(people.getCount() == 3);

        people.removeAll();

        Assert.assertTrue(people.getCount() == 0);
    }
}
